Bug 1180693 - Inefficient index updates cause high cost merges and increase overall latency
Summary: Inefficient index updates cause high cost merges and increase overall latency
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: 6.4.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks: 1130447
TreeView+ depends on / blocked
 
Reported: 2015-01-09 17:35 UTC by Gustavo Fernandes
Modified: 2015-01-28 13:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-28 13:27:42 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-5103 0 Major Resolved Inefficient index updates cause high cost merges and increase overall latency 2015-04-22 12:34:11 UTC

Description Gustavo Fernandes 2015-01-09 17:35:50 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Gustavo Fernandes 2015-01-09 20:17:25 UTC
https://github.com/infinispan/jdg/pull/433

Comment 3 Radim Vansa 2015-01-12 09:38:07 UTC
What kind of improvements (latency, throughput) in what setup (sync/async) do you expect with this fix?

Comment 4 Gustavo Fernandes 2015-01-13 09:35:34 UTC
It improves latency for any kind of indexing (sync/async/mass indexing).
Essentially it reduces the number of tasks done against the index, at the same time making the remaining ops more efficient.
It also eliminates a merge bottleneck that caused long 'freezes' under load.


Note You need to log in before you can comment on or make changes to this bug.